gsw_pt_from_entropy {gsw} | R Documentation

## Potential Temperature from Entropy

### Description

Potential Temperature from Entropy

### Usage

    gsw_pt_from_entropy(SA, entropy)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`entropy` | specific entropy [ J/(degC*kg) ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

potential temperature [ degC ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_pt_from_entropy.html

### See Also

Other things related to entropy: `gsw_CT_from_entropy`, `gsw_entropy_first_derivatives`, `gsw_entropy_from_pt`, `gsw_entropy_from_t`, `gsw_entropy_ice`

### Examples

    SA <- c(      34.7118,  34.8915,  35.0256,  34.8472, 34.7366, 34.7324)
    entropy <- c(400.3892, 395.4378, 319.8668, 146.7910, 98.6471, 62.7919)
    pt <- gsw_pt_from_entropy(SA, entropy)
    expect_equal(pt, c(28.783179828078666, 28.420954825949291, 22.784952736245351,
                     10.230532066931868, 6.829213325916900, 4.324537782985845))

[Package gsw version 1.0-5 Index]